Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
[Knight]

После перехода с IPB 3 на IPB 4 появилась ошибка "На сайте используется неподдерживаемый протокол"

Recommended Posts

Суть вопроса в названии темы. Если IPB 3 поддерживал старые протоколы, от которых отказались в IPB 4, то можно как то включить их поддержку в IPB 4? Большинство сайтов работают. С тем же ютубом проблем нет. Браузер хром 49.0.2623.75 (релиз Mar 02, 2016)

Edited by [Knight]

Share this post


Link to post

Тут проблема скорее всего с сертификатом SSL и поддержкой браузера (в некоторых нужно выбрать определенные протоколы, есть много информации об этом, на том же ютубе), почему работали и работают IPB 3, раньше относились проще к сертификатам и сайты работали по http, с года 2017 тот же гугл стал ранжировать сайты хуже без SSL сертификатов, и как раз бум обновления с IPB 3 на IPS 4 и переход на https.

ipbskins.ru работает на IPS 4, всё же хорошо? Судя потому, что можете оставлять сообщения и темы.

Поэтому вам нужно:

1. Очистить кеши браузера.

2. Поискать решение проблемы "На сайте используется неподдерживаемый протокол" для гугл хрома, в поиске много информации, копировать не вижу смысла.

Если всё правильно сделаете, всё должно заработать, а так интересно, что за проект, на котором такие ошибки, тот который указан у Вас в профиле?

  • Upvote 1

Share this post


Link to post
17 часов назад, Lesovsky сказал:

а так интересно, что за проект, на котором такие ошибки, тот который указан у Вас в профиле

Если интересно, то вот

https://www.animeforum.ru/topic/86961-переход-на-версию-ipb-4/page/6/

Заодно продублирую

Открывается

QPPotl1.png

  18 часов назад, Мистик +-+ сказал:

Так что скорее всего версия 49.0.2623.75 или в крайнем случае 46.0.2490 \ 40.0.2214. Сейчас проверить не смогу. Попробую дома проверить сайты на IPB 4 

https://forum.corsair.com/
https://gsap.com/community/
https://forum.kaspersky.com/
https://gta-trinity.com/forum/

Возможно один из них откроется.

Показать  

Все эти также открываются. А анимефорум не открывается

tW2JyX2.png

Edei1xI.png

 

 

 

 

9CeXLUS.png

t7xMd9B.png

EhzJRbb.png

даже форум касперского работает

kAnEDE1.png

Share this post


Link to post
17 часов назад, Lesovsky сказал:

ipbskins.ru работает на IPS 4, всё же хорошо? Судя потому, что можете оставлять сообщения и темы.

Пишу с другого компьютера. Проблема именно в домашнем.

  

17 часов назад, Lesovsky сказал:

Поискать решение проблемы "На сайте используется неподдерживаемый протокол" для гугл хрома, в поиске много информации, копировать не вижу смысла.

Искал, потратил некоторое время на это. Толку не было.

Edited by [Knight]

Share this post


Link to post
10 минут назад, [Knight] сказал:

Пишу с другого компьютера. Проблема именно в домашнем.

Есть проблема совместимости вашего сертификата со старым ПО пк.... Попробуйте подключить сертификат + будет защита.  https://dash.cloudflare.com/

 

https://letsencrypt.org/ru/docs/certificate-compatibility/

 

  • Upvote 1

Share this post


Link to post
19 минут назад, Атаман сказал:

Есть проблема совместимости вашего сертификата со старым ПО пк.... Попробуйте подключить сертификат + будет защита.  https://dash.cloudflare.com/

 

https://letsencrypt.org/ru/docs/certificate-compatibility/

На всякий случай уточню, чтобы исключить любые недопонимания. С сертификатами надо что-то делать, к примеру добавить:

1) Только на стороне сервера

2) На стороне сервера и на стороне компьютера пользователя

3) На стороне пользователя

Share this post


Link to post
11 минут назад, [Knight] сказал:

На всякий случай уточню, чтобы исключить любые недопонимания. С сертификатами надо что-то делать, к примеру добавить:

1) Только на стороне сервера

2) На стороне сервера и на стороне компьютера пользователя

3) На стороне пользователя

 

После подкл, все автоматом проходит. На вашем месте я бы просто забил на это дело.

Share this post


Link to post

Если вы любите Windows XP то могу лишь посоветовать браузер https://win32subsystem.live/supermium/ с поддержкой современных технологий, либо попробуйте найти Яндекс.Браузер 17.4.1.919.

Также попробуйте что советуют здесь - https://remontka.pro/err-ssl-version-or-cipher-mismatch

 

Вместо Windows XP попробуйте Chrome OS или иную систему, например Ubuntu.

  • Upvote 1

Share this post


Link to post
2 часа назад, Lesovsky сказал:

Также попробуйте что советуют здесь - https://remontka.pro/err-ssl-version-or-cipher-mismatch

Проблема на стороне сервера. 

Проверил анимефорум через специальный сервис тестирования. Именно эту версию браузера не обрабатывает. А также почему-то не работает с некоторыми версиями браузера сафари

https://www.ssllabs.com/ssltest/analyze.html?d=www.animeforum.ru

8iwplbE.jpeg

 

JZmJy0O.jpeg

 

У форума касперского таких проблем рукопожатия нет. Проверял касперского через это же тестирование

https://www.ssllabs.com/ssltest/analyze.html?d=www.kaspersky.com

5 часов назад, Атаман сказал:

После подкл, все автоматом проходит. На вашем месте я бы просто забил на это дело.

Я иначе из дома не могу заходить. Про сертификаты спросил, оказывается они все уже установлены. В чём ещё может быть проблема?

2 часа назад, Lesovsky сказал:

Если вы любите Windows XP то могу лишь посоветовать браузер https://win32subsystem.live/supermium/ с поддержкой современных технологий, либо попробуйте найти Яндекс.Браузер 17.4.1.919.

Это не могу проверить прямо сейчас.

  

2 часа назад, Lesovsky сказал:

Вместо Windows XP попробуйте Chrome OS или иную систему, например Ubuntu.

Линукс отличное средство для спасения особо ценных файлов, когда виндоус почему-то не хочет загружаться и не видит разделы, но винтчестер при этом живой (и даже рабочий, после форматирования). Хвала живому диску на Линуксе и особенно Рунту. 

Edited by [Knight]

Share this post


Link to post

Я уже дал ответ - у Вас Let`s Encrypt Бесплатный  - https://letsencrypt.org/ru/docs/certificate-compatibility/

Известные несовместимые платформы

  • Blackberry < v10.3.3
  • Android < v2.3.6
  • Nintendo 3DS
  • Windows XP до SP3
    • не умеет работать с подписанными SHA-2 сертификатами
  • Java 7 < 7u111
  • Java 8 < 8u101
  • Windows Live Mail (почтовый клиент от 2012, не веб-почта)
    • не умеет работать с сертификатами без CRL
  • Игровая консоль PS3
  • Игровая консоль PS4 с версией прошивки < 5.00

image.png

На форуме касперского платный SSL - https://www.digicert.com/

image.png

  • Upvote 1

Share this post


Link to post

Теперь получается зайти на форум. Сменили тип сертификата с ECDSA на RSA. Windows XP только с RSA заработал.

6HvO4Ru.png

 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...